package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.PmProjectChild;
import com.dhcc.finance.main.domain.PmProjectChildExample;
import com.dhcc.finance.main.domain.PmProjectChildWithBLOBs;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface PmProjectChildMapper {
    long countByExample(PmProjectChildExample example);

    int deleteByExample(PmProjectChildExample example);

    int deleteByPrimaryKey(String xtzxmbh);

    int insert(PmProjectChildWithBLOBs record);

    int insertSelective(PmProjectChildWithBLOBs record);

    List<PmProjectChildWithBLOBs> selectByExampleWithBLOBs(PmProjectChildExample example);

    List<PmProjectChild> selectByExample(PmProjectChildExample example);

    PmProjectChildWithBLOBs selectByPrimaryKey(String xtzxmbh);

    int updateByExampleSelective(@Param("record") PmProjectChildWithBLOBs record, @Param("example") PmProjectChildExample example);

    int updateByExampleWithBLOBs(@Param("record") PmProjectChildWithBLOBs record, @Param("example") PmProjectChildExample example);

    int updateByExample(@Param("record") PmProjectChild record, @Param("example") PmProjectChildExample example);

    int updateByPrimaryKeySelective(PmProjectChildWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(PmProjectChildWithBLOBs record);

    int updateByPrimaryKey(PmProjectChild record);

    List<PmProjectChild> selectByCclxAndDyjhbz(@Param("pmProjectChild") PmProjectChild pmProjectChild);

    /**
     * 查询信托项目信息表（子项目）的说有信托子项目名称
     */
    List<String> selectAllProjectName();


    /**
     * 功能描述：查询项目成立日期
     *
     * @param xtxmbh
     * @param xtzxmbh
     * @return Date
     * @author dml
     * @date 2019年10月12日 下午5:35:37
     * @修改日志：
     */
    Date selectXmclr(@Param("xtxmbh") String xtxmbh, @Param("xtzxmbh") String xtzxmbh);

    /**
     * @param [xtzxmbh]
     * @return java.lang.String
     * @description: 用子项目编号查询项目归属部门
     * @author liuxianjv
     * @date 2020-05-27 14:15
     */
    String selectDeptCodeByZxmbh(@Param("xtzxmbh") String xtzxmbh);

}